Package: grails.rest.render.xml

## [Groovy] Class XmlCollectionRenderer

- grails.rest.render.xml.XmlCollectionRenderer

- All Implemented Interfaces and Traits:
    ContainerRenderer

      @groovy.transform.CompileStatic
      class XmlCollectionRenderer
      extends XmlRenderer
      implements ContainerRenderer

  A XML renderer for a collection of objects

  Since:
    2.3.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Class` | `componentType` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class XmlRenderer` | `excludes, grailsApplication, includes, proxyHandler`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Class` | `componentType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `XmlCollectionRenderer (java.lang.Class componentType)`
    `XmlCollectionRenderer (java.lang.Class targetType, MimeType[] mimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `renderXml(grails.converters.XML converter, RenderContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class XmlRenderer` | `registerCustomConverter, registerCustomMarshaller, renderXml`

- - ### Field Detail

    - #### private final java.lang.Class componentType

  - ### Property Detail

    - #### final java.lang.Class componentType

  - ### Constructor Detail

    - #### XmlCollectionRenderer(java.lang.Class componentType)

    - #### XmlCollectionRenderer(java.lang.Class targetType, MimeType[] mimeTypes)

  - ### Method Detail

    - #### @java.lang.Override protected void renderXml(grails.converters.XML converter, RenderContext context)